import React__default from 'react';
import { SideMenuWrapper, SideMenuHeaderWrapper, SideMenuBodyWrapper, SidemenuIconsMainContainer, SideMenuIconsContainer, SideMenuFooterWrapper } from './style.js';
import CustomTooltip from '../../Tooltip/Tooltip/index.js';
import NotificationIcon from '../../Icons/NotificationIcon/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var SideMenuComponent = function SideMenuComponent(_ref) {
  var items = _ref.items,
      _ref$footerAvailable = _ref.footerAvailable,
      footerAvailable = _ref$footerAvailable === void 0 ? false : _ref$footerAvailable,
      _ref$footerItems = _ref.footerItems,
      footerItems = _ref$footerItems === void 0 ? [] : _ref$footerItems,
      headerIcon = _ref.headerIcon,
      width = _ref.width;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(SideMenuWrapper, {
    width: width
  }, /*#__PURE__*/React__default.createElement(SideMenuHeaderWrapper, null, headerIcon), /*#__PURE__*/React__default.createElement(SideMenuBodyWrapper, null, items.map(function (item, index) {
    return /*#__PURE__*/React__default.createElement(CustomTooltip, {
      key: index,
      title: item.name,
      placement: "right"
    }, /*#__PURE__*/React__default.createElement(SidemenuIconsMainContainer, null, item.notifications > 0 && /*#__PURE__*/React__default.createElement(NotificationIcon, {
      value: item.notifications
    }), /*#__PURE__*/React__default.createElement(SideMenuIconsContainer, {
      href: item.path
    }, item.icon)));
  })), footerAvailable ? /*#__PURE__*/React__default.createElement(SideMenuFooterWrapper, null, footerItems.map(function (item, index) {
    return /*#__PURE__*/React__default.createElement(CustomTooltip, {
      key: index,
      title: item.name,
      placement: "right"
    }, /*#__PURE__*/React__default.createElement("div", null, item.icon));
  })) : null)));
};

export { SideMenuComponent as default };
//# sourceMappingURL=index.js.map
