import { slicedToArray as _slicedToArray } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { Dialog } from '@mui/material';
import { styled } from '@mui/material/styles';
import { SidemenuDropdownContainer, SidemenuDropdownWrapper, SidemenuModalWrapper, SideMenuIconsContainer } from './style.js';
import SidemenuDropdownArrowIcon from '../../Icons/SidemenuDropdownArrowIcon/index.js';
import NotificationIcon from '../../Icons/NotificationIcon/index.js';
import CustomTooltip from '../../Tooltip/Tooltip/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var SidemenuDropdown = function SidemenuDropdown(_ref) {
  var items = _ref.items,
      icon = _ref.icon,
      notifications = _ref.notifications;

  var _React$useState = React__default.useState(false),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      isOpen = _React$useState2[0],
      setIsOpen = _React$useState2[1];

  var handleChange = function handleChange() {
    console.log("clicked");
    setIsOpen(!isOpen);
  };

  var SidemenuDialog = styled(Dialog)(function (_ref2) {
    _ref2.theme;
    return {
      "& .css-q4ib0v-MuiPaper-root-MuiDialog-paper": {
        boxShadow: "none",
        background: "none",
        borderRadius: "0px",
        transition: "none",
        margin: "0px"
      },
      "& .css-hz1bth-MuiDialog-container": {
        height: "auto",
        display: "inline-block",
        marginLeft: "90px"
      },
      "& .css-1am3qag-MuiBackdrop-root-MuiDialog-backdrop": {
        background: "rgba(0, 0, 0, 0.25)"
      }
    };
  });
  var style = {
    bgcolor: "transparent",
    border: "none",
    boxSizing: "unset"
  };
  console.log("notifications:", notifications);
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(SidemenuDropdownContainer, null, notifications && /*#__PURE__*/React__default.createElement(NotificationIcon, {
    value: notifications
  }), /*#__PURE__*/React__default.createElement(SidemenuDropdownWrapper, null, icon, /*#__PURE__*/React__default.createElement(SidemenuDropdownArrowIcon, {
    onClick: handleChange
  })), /*#__PURE__*/React__default.createElement(SidemenuDialog, {
    open: isOpen,
    onClose: handleChange
  }, /*#__PURE__*/React__default.createElement("div", {
    style: style
  }, /*#__PURE__*/React__default.createElement(SidemenuModalWrapper, null, items.map(function (item, index) {
    return /*#__PURE__*/React__default.createElement(CustomTooltip, {
      key: index,
      title: item.name,
      placement: "right"
    }, /*#__PURE__*/React__default.createElement(SideMenuIconsContainer, null, item.icon));
  }))))));
};

export { SidemenuDropdown as default };
//# sourceMappingURL=index.js.map
