import { objectWithoutProperties as _objectWithoutProperties, extends as _extends, defineProperty as _defineProperty } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { styled } from '@mui/material/styles';
import Tooltip, { tooltipClasses } from '@mui/material/Tooltip';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var _excluded = ["className"];
//   <NavLink innerRef={ref} {...props} />
// ));

var ArrowTooltip = styled(function (_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React__default.createElement(Tooltip, _extends({}, props, {
    arrow: true,
    classes: {
      popper: className
    }
  }));
})(function () {
  var _ref2;

  return _ref2 = {}, _defineProperty(_ref2, "& .".concat(tooltipClasses.arrow), {
    color: theme.colourMaterialReversePrimary,
    zIndex: 9999999
  }), _defineProperty(_ref2, "& .".concat(tooltipClasses.tooltip), {
    backgroundColor: theme.colourMaterialReversePrimary,
    fontFamily: theme.fontWorkSansRegular,
    fontSize: theme.fontSize_14,
    padding: 10,
    zIndex: 9999999
  }), _ref2;
});

var CustomTooltip = function CustomTooltip(props) {
  var children = props.children,
      title = props.title,
      placement = props.placement;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(ArrowTooltip, _extends({
    title: title,
    placement: placement
  }, props), children)));
};

export { CustomTooltip as default };
//# sourceMappingURL=index.js.map
